<?php
/**
 * @file
 * clientside_validation_testswarm.default_content.inc
 */

/**
 * Default content for the example.
 */
function _clientside_validation_testswarm_default_content() {
  $content = array();

  $content['clientside_validation_test_webform'] = (object) array(
    'link' => array(
      'menu_name' => 'navigation',
      'link_path' => 'node-name/webform',
      'router_path' => 'node/%',
      'link_title' => 'Clientside Validation Webform Tests',
      'options' => array(
        'attributes' => array(
          'title' => 'Test Clientside Validation on form elements provided by the Webform module',
        ),
      ),
      'module' => 'menu',
      'hidden' => '0',
      'external' => '0',
      'has_children' => '0',
      'expanded' => '0',
      'weight' => '0',
      'parent_path' => 'clientsidevalidation/tests',
      'identifier' => 'navigation:node-name/webform',
    ),
    'exported_path' => 'clientsidevalidation/tests/webform',
    'webform' => array(
      'confirmation' => '',
      'confirmation_format' => NULL,
      'redirect_url' => '<confirmation>',
      'status' => '1',
      'block' => '0',
      'teaser' => '0',
      'allow_draft' => '0',
      'auto_save' => '0',
      'submit_notice' => '1',
      'submit_text' => '',
      'submit_limit' => '-1',
      'submit_interval' => '-1',
      'total_submit_limit' => '-1',
      'total_submit_interval' => '-1',
      'record_exists' => TRUE,
      'roles' => array(
        0 => '1',
        1 => '2',
      ),
      'emails' => array(),
      'components' => array(
        0 => array(
          'pid' => '0',
          'form_key' => 'date',
          'name' => 'Date',
          'type' => 'date',
          'value' => '',
          'extra' => array(
            'timezone' => 'user',
            'title_display' => 'before',
            'private' => 0,
            'datepicker' => 1,
            'year_textfield' => 0,
            'start_date' => '-2 years',
            'end_date' => '+2 years',
            'conditional_operator' => '=',
            'description' => '',
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '0',
          'page_num' => 1,
        ),
        1 => array(
          'pid' => '0',
          'form_key' => 'email',
          'name' => 'Email',
          'type' => 'email',
          'value' => '',
          'extra' => array(
            'title_display' => 'before',
            'private' => 0,
            'disabled' => 0,
            'unique' => 0,
            'conditional_operator' => '=',
            'width' => '',
            'description' => '',
            'attributes' => array(),
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '1',
          'page_num' => 1,
        ),
        2 => array(
          'pid' => '0',
          'form_key' => 'number',
          'name' => 'Number',
          'type' => 'number',
          'value' => '',
          'extra' => array(
            'title_display' => 'before',
            'private' => 0,
            'type' => 'textfield',
            'separator' => ',',
            'point' => '.',
            'unique' => 0,
            'integer' => 0,
            'min' => '2',
            'max' => '5',
            'step' => '0.5',
            'conditional_operator' => '=',
            'excludezero' => 0,
            'field_prefix' => '',
            'field_suffix' => '',
            'description' => '',
            'attributes' => array(),
            'decimals' => '',
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '3',
          'page_num' => 1,
        ),
        3 => array(
          'pid' => '0',
          'form_key' => 'single_select',
          'name' => 'Single select',
          'type' => 'select',
          'value' => '',
          'extra' => array(
            'items' => 'one|One
  two|Two
  three|Three
  four|Four
  five|Five',
            'multiple' => 0,
            'title_display' => 'before',
            'private' => 0,
            'aslist' => 1,
            'optrand' => 0,
            'conditional_operator' => '=',
            'other_option' => NULL,
            'other_text' => 'Other...',
            'description' => '',
            'custom_keys' => FALSE,
            'options_source' => '',
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '4',
          'page_num' => 1,
        ),
        4 => array(
          'pid' => '0',
          'form_key' => 'multiple_select',
          'name' => 'Multiple select',
          'type' => 'select',
          'value' => '',
          'extra' => array(
            'items' => 'one|One
  two|Two
  three|Three
  four|Four
  five|Five',
            'multiple' => 1,
            'title_display' => 'before',
            'private' => 0,
            'aslist' => 1,
            'optrand' => 0,
            'conditional_operator' => '=',
            'other_option' => NULL,
            'other_text' => 'Other...',
            'description' => '',
            'custom_keys' => FALSE,
            'options_source' => '',
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '5',
          'page_num' => 1,
        ),
        5 => array(
          'pid' => '0',
          'form_key' => 'radio_buttons',
          'name' => 'Radio Buttons',
          'type' => 'select',
          'value' => '',
          'extra' => array(
            'items' => 'one|One
  two|Two
  three|Three
  four|Four
  five|Five',
            'multiple' => 0,
            'title_display' => 'before',
            'private' => 0,
            'aslist' => 0,
            'optrand' => 0,
            'conditional_operator' => '=',
            'other_option' => NULL,
            'other_text' => 'Other...',
            'description' => '',
            'custom_keys' => FALSE,
            'options_source' => '',
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '6',
          'page_num' => 1,
        ),
        6 => array(
          'pid' => '0',
          'form_key' => 'checkboxes',
          'name' => 'Checkboxes',
          'type' => 'select',
          'value' => '',
          'extra' => array(
            'items' => 'one|One
  two|Two
  three|Three
  four|Four
  five|Five',
            'multiple' => 1,
            'title_display' => 'before',
            'private' => 0,
            'aslist' => 0,
            'optrand' => 0,
            'conditional_operator' => '=',
            'other_option' => NULL,
            'other_text' => 'Other...',
            'description' => '',
            'custom_keys' => FALSE,
            'options_source' => '',
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '7',
          'page_num' => 1,
        ),
        7 => array(
          'pid' => '0',
          'form_key' => 'textarea',
          'name' => 'Textarea',
          'type' => 'textarea',
          'value' => '',
          'extra' => array(
            'title_display' => 0,
            'private' => 0,
            'resizable' => 1,
            'disabled' => 0,
            'conditional_operator' => '=',
            'cols' => '',
            'rows' => '',
            'description' => '',
            'attributes' => array(),
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '8',
          'page_num' => 1,
        ),
        8 => array(
          'pid' => '0',
          'form_key' => 'textfield',
          'name' => 'Textfield',
          'type' => 'textfield',
          'value' => '',
          'extra' => array(
            'title_display' => 'before',
            'private' => 0,
            'disabled' => 0,
            'unique' => 0,
            'conditional_operator' => '=',
            'width' => '',
            'maxlength' => '',
            'field_prefix' => '',
            'field_suffix' => '',
            'description' => '',
            'attributes' => array(),
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '9',
          'page_num' => 1,
        ),
        9 => array(
          'pid' => '0',
          'form_key' => 'time',
          'name' => 'Time',
          'type' => 'time',
          'value' => '',
          'extra' => array(
            'timezone' => 'user',
            'title_display' => 'before',
            'private' => 0,
            'hourformat' => '12-hour',
            'conditional_operator' => '=',
            'description' => '',
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '10',
          'page_num' => 1,
        ),
      ),
    ),
    'title' => 'Clientside Validation Webform Tests',
    'status' => '1',
    'promote' => '1',
    'sticky' => '0',
    'type' => 'webform',
    'language' => 'und',
    'created' => '1331635721',
    'comment' => '2',
    'translate' => '0',
    'machine_name' => 'webform',
    'body' => array(
      'und' => array(
        0 => array(
          'value' => 'Webform for testing Clientside Validation',
          'summary' => '',
          'format' => 'filtered_html',
          'safe_value' => '<p>Webform for testing Clientside Validation</p>',
          'safe_summary' => '',
        ),
      ),
    ),
  );

  $content['webformvalidation'] = (object) array(
    'link' => array(
      'menu_name' => 'navigation',
      'link_path' => 'node-name/webformvalidation',
      'router_path' => 'node/%',
      'link_title' => 'Clientside Validation Webform Validation Tests',
      'options' => array(
        'attributes' => array(
          'title' => 'Test Clientside Validation Webform Validation',
        ),
      ),
      'module' => 'menu',
      'hidden' => '0',
      'external' => '0',
      'has_children' => '0',
      'expanded' => '0',
      'weight' => '0',
      'parent_path' => 'clientsidevalidation/tests',
      'identifier' => 'navigation:node-name/webformvalidation',
    ),
    'exported_path' => 'clientsidevalidation/tests/webformvalidation',
    'webform' => array(
      'confirmation' => '',
      'confirmation_format' => NULL,
      'redirect_url' => '<confirmation>',
      'status' => '1',
      'block' => '0',
      'teaser' => '0',
      'allow_draft' => '0',
      'auto_save' => '0',
      'submit_notice' => '1',
      'submit_text' => '',
      'submit_limit' => '-1',
      'submit_interval' => '-1',
      'total_submit_limit' => '-1',
      'total_submit_interval' => '-1',
      'record_exists' => TRUE,
      'roles' => array(
        0 => '1',
        1 => '2',
      ),
      'emails' => array(),
      'components' => array(
        0 => array(
          'pid' => '0',
          'form_key' => 'regex',
          'name' => 'Regex',
          'type' => 'textfield',
          'value' => '',
          'extra' => array(
            'title_display' => 'before',
            'private' => 0,
            'disabled' => 0,
            'unique' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'width' => '',
            'maxlength' => '',
            'field_prefix' => '',
            'field_suffix' => '',
            'description' => '',
            'attributes' => array(),
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '0',
          'page_num' => 1,
        ),
        1 => array(
          'pid' => '0',
          'form_key' => 'min_length',
          'name' => 'Min length',
          'type' => 'textfield',
          'value' => '',
          'extra' => array(
            'title_display' => 'before',
            'private' => 0,
            'disabled' => 0,
            'unique' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'width' => '',
            'maxlength' => '',
            'field_prefix' => '',
            'field_suffix' => '',
            'description' => '',
            'attributes' => array(),
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '1',
          'page_num' => 1,
        ),
        2 => array(
          'pid' => '0',
          'form_key' => 'max_length',
          'name' => 'Max length',
          'type' => 'textfield',
          'value' => '',
          'extra' => array(
            'title_display' => 'before',
            'private' => 0,
            'disabled' => 0,
            'unique' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'width' => '',
            'maxlength' => '',
            'field_prefix' => '',
            'field_suffix' => '',
            'description' => '',
            'attributes' => array(),
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '2',
          'page_num' => 1,
        ),
        3 => array(
          'pid' => '0',
          'form_key' => 'min_words',
          'name' => 'Min words',
          'type' => 'textarea',
          'value' => '',
          'extra' => array(
            'title_display' => 0,
            'private' => 0,
            'resizable' => 1,
            'disabled' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'cols' => '',
            'rows' => '',
            'description' => '',
            'attributes' => array(),
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '3',
          'page_num' => 1,
        ),
        4 => array(
          'pid' => '0',
          'form_key' => 'max_words',
          'name' => 'Max words',
          'type' => 'textarea',
          'value' => '',
          'extra' => array(
            'title_display' => 0,
            'private' => 0,
            'resizable' => 1,
            'disabled' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'cols' => '',
            'rows' => '',
            'description' => '',
            'attributes' => array(),
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '4',
          'page_num' => 1,
        ),
        5 => array(
          'pid' => '0',
          'form_key' => 'numeric',
          'name' => 'Numeric',
          'type' => 'textfield',
          'value' => '',
          'extra' => array(
            'title_display' => 'before',
            'private' => 0,
            'disabled' => 0,
            'unique' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'width' => '',
            'maxlength' => '',
            'field_prefix' => '',
            'field_suffix' => '',
            'description' => '',
            'attributes' => array(),
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '5',
          'page_num' => 1,
        ),
        6 => array(
          'pid' => '0',
          'form_key' => 'numeric_min',
          'name' => 'Numeric min',
          'type' => 'textfield',
          'value' => '',
          'extra' => array(
            'title_display' => 'before',
            'private' => 0,
            'disabled' => 0,
            'unique' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'width' => '',
            'maxlength' => '',
            'field_prefix' => '',
            'field_suffix' => '',
            'description' => '',
            'attributes' => array(),
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '6',
          'page_num' => 1,
        ),
        7 => array(
          'pid' => '0',
          'form_key' => 'numeric_max',
          'name' => 'Numeric max',
          'type' => 'textfield',
          'value' => '',
          'extra' => array(
            'title_display' => 'before',
            'private' => 0,
            'disabled' => 0,
            'unique' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'width' => '',
            'maxlength' => '',
            'field_prefix' => '',
            'field_suffix' => '',
            'description' => '',
            'attributes' => array(),
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '7',
          'page_num' => 1,
        ),
        8 => array(
          'pid' => '0',
          'form_key' => 'requireone_fieldset',
          'name' => 'Requireone Fieldset',
          'type' => 'fieldset',
          'value' => '',
          'extra' => array(
            'title_display' => 0,
            'private' => 0,
            'collapsible' => 0,
            'collapsed' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'description' => '',
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '0',
          'weight' => '8',
          'page_num' => 1,
        ),
        9 => array(
          'pid' => '9',
          'form_key' => 'requireone_1',
          'name' => 'Requireone 1',
          'type' => 'textarea',
          'value' => '',
          'extra' => array(
            'title_display' => 0,
            'private' => 0,
            'resizable' => 1,
            'disabled' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'cols' => '',
            'rows' => '',
            'description' => '',
            'attributes' => array(),
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '0',
          'weight' => '7',
          'page_num' => 1,
        ),
        10 => array(
          'pid' => '9',
          'form_key' => 'requireone_2',
          'name' => 'Requireone 2',
          'type' => 'textarea',
          'value' => '',
          'extra' => array(
            'title_display' => 0,
            'private' => 0,
            'resizable' => 1,
            'disabled' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'cols' => '',
            'rows' => '',
            'description' => '',
            'attributes' => array(),
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '0',
          'weight' => '13',
          'page_num' => 1,
        ),
        11 => array(
          'pid' => '9',
          'form_key' => 'requireone_3',
          'name' => 'Requireone 3',
          'type' => 'textarea',
          'value' => '',
          'extra' => array(
            'title_display' => 0,
            'private' => 0,
            'resizable' => 1,
            'disabled' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'cols' => '',
            'rows' => '',
            'description' => '',
            'attributes' => array(),
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '0',
          'weight' => '14',
          'page_num' => 1,
        ),
        12 => array(
          'pid' => '0',
          'form_key' => 'requireoneoftwo_fieldset',
          'name' => 'RequireoneOfTwo Fieldset',
          'type' => 'fieldset',
          'value' => '',
          'extra' => array(
            'title_display' => 0,
            'private' => 0,
            'collapsible' => 0,
            'collapsed' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'description' => '',
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '0',
          'weight' => '9',
          'page_num' => 1,
        ),
        13 => array(
          'pid' => '13',
          'form_key' => 'requireoneoftwo_1',
          'name' => 'RequireoneOfTwo 1',
          'type' => 'textfield',
          'value' => '',
          'extra' => array(
            'title_display' => 'before',
            'private' => 0,
            'disabled' => 0,
            'unique' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'width' => '',
            'maxlength' => '',
            'field_prefix' => '',
            'field_suffix' => '',
            'description' => '',
            'attributes' => array(),
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '0',
          'weight' => '8',
          'page_num' => 1,
        ),
        14 => array(
          'pid' => '13',
          'form_key' => 'requireoneoftwo_2',
          'name' => 'RequireoneOfTwo 2',
          'type' => 'textfield',
          'value' => '',
          'extra' => array(
            'title_display' => 'before',
            'private' => 0,
            'disabled' => 0,
            'unique' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'width' => '',
            'maxlength' => '',
            'field_prefix' => '',
            'field_suffix' => '',
            'description' => '',
            'attributes' => array(),
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '0',
          'weight' => '11',
          'page_num' => 1,
        ),
        15 => array(
          'pid' => '0',
          'form_key' => 'plain_text',
          'name' => 'Plain text',
          'type' => 'textarea',
          'value' => '',
          'extra' => array(
            'title_display' => 0,
            'private' => 0,
            'resizable' => 1,
            'disabled' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'cols' => '',
            'rows' => '',
            'description' => '',
            'attributes' => array(),
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '10',
          'page_num' => 1,
        ),
        16 => array(
          'pid' => '0',
          'form_key' => 'blacklist',
          'name' => 'Blacklist',
          'type' => 'textfield',
          'value' => '',
          'extra' => array(
            'title_display' => 'before',
            'private' => 0,
            'disabled' => 0,
            'unique' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'width' => '',
            'maxlength' => '',
            'field_prefix' => '',
            'field_suffix' => '',
            'description' => '',
            'attributes' => array(),
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '11',
          'page_num' => 1,
        ),
        17 => array(
          'pid' => '0',
          'form_key' => 'equal_fieldset',
          'name' => 'Equal Fieldset',
          'type' => 'fieldset',
          'value' => '',
          'extra' => array(
            'title_display' => 0,
            'private' => 0,
            'collapsible' => 0,
            'collapsed' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'description' => '',
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '0',
          'weight' => '12',
          'page_num' => 1,
        ),
        18 => array(
          'pid' => '18',
          'form_key' => 'equal_to',
          'name' => 'Equal To',
          'type' => 'textfield',
          'value' => '',
          'extra' => array(
            'title_display' => 'before',
            'private' => 0,
            'disabled' => 0,
            'unique' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'width' => '',
            'maxlength' => '',
            'field_prefix' => '',
            'field_suffix' => '',
            'description' => '',
            'attributes' => array(),
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '16',
          'page_num' => 1,
        ),
        19 => array(
          'pid' => '18',
          'form_key' => 'must_equal',
          'name' => 'Must Equal',
          'type' => 'textfield',
          'value' => '',
          'extra' => array(
            'title_display' => 'before',
            'private' => 0,
            'disabled' => 0,
            'unique' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'width' => '',
            'maxlength' => '',
            'field_prefix' => '',
            'field_suffix' => '',
            'description' => '',
            'attributes' => array(),
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '17',
          'page_num' => 1,
        ),
        20 => array(
          'pid' => '0',
          'form_key' => 'unique_fieldset',
          'name' => 'Unique Fieldset',
          'type' => 'fieldset',
          'value' => '',
          'extra' => array(
            'title_display' => 0,
            'private' => 0,
            'collapsible' => 0,
            'collapsed' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'description' => '',
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '0',
          'weight' => '13',
          'page_num' => 1,
        ),
        21 => array(
          'pid' => '21',
          'form_key' => 'unique_1',
          'name' => 'Unique 1',
          'type' => 'textfield',
          'value' => '',
          'extra' => array(
            'title_display' => 'before',
            'private' => 0,
            'disabled' => 0,
            'unique' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'width' => '',
            'maxlength' => '',
            'field_prefix' => '',
            'field_suffix' => '',
            'description' => '',
            'attributes' => array(),
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '19',
          'page_num' => 1,
        ),
        22 => array(
          'pid' => '21',
          'form_key' => 'unique_2',
          'name' => 'Unique 2',
          'type' => 'textfield',
          'value' => '',
          'extra' => array(
            'title_display' => 'before',
            'private' => 0,
            'disabled' => 0,
            'unique' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'width' => '',
            'maxlength' => '',
            'field_prefix' => '',
            'field_suffix' => '',
            'description' => '',
            'attributes' => array(),
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '20',
          'page_num' => 1,
        ),
        23 => array(
          'pid' => '21',
          'form_key' => 'unique_3',
          'name' => 'Unique 3',
          'type' => 'textfield',
          'value' => '',
          'extra' => array(
            'title_display' => 'before',
            'private' => 0,
            'disabled' => 0,
            'unique' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'width' => '',
            'maxlength' => '',
            'field_prefix' => '',
            'field_suffix' => '',
            'description' => '',
            'attributes' => array(),
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '21',
          'page_num' => 1,
        ),
        24 => array(
          'pid' => '0',
          'form_key' => 'specific_val',
          'name' => 'Specific val',
          'type' => 'textfield',
          'value' => '',
          'extra' => array(
            'title_display' => 'before',
            'private' => 0,
            'disabled' => 0,
            'unique' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'width' => '',
            'maxlength' => '',
            'field_prefix' => '',
            'field_suffix' => '',
            'description' => '',
            'attributes' => array(),
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '14',
          'page_num' => 1,
        ),
        25 => array(
          'pid' => '0',
          'form_key' => 'select_min',
          'name' => 'Select min',
          'type' => 'select',
          'value' => '',
          'extra' => array(
            'items' => 'one|One
two|Two
three|Three
four|Four
five|Five
six|Six
seven|Seven
eight|Eight
nine|Nine
ten|Ten',
            'multiple' => 1,
            'title_display' => 'before',
            'private' => 0,
            'aslist' => 1,
            'optrand' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'other_option' => NULL,
            'other_text' => 'Other...',
            'description' => '',
            'custom_keys' => FALSE,
            'options_source' => '',
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '15',
          'page_num' => 1,
        ),
        26 => array(
          'pid' => '0',
          'form_key' => 'select_max',
          'name' => 'Select max',
          'type' => 'select',
          'value' => '',
          'extra' => array(
            'items' => 'one|One
two|Two
three|Three
four|Four
five|Five
six|Six
seven|Seven
eight|Eight
nine|Nine
ten|Ten',
            'multiple' => 1,
            'title_display' => 'before',
            'private' => 0,
            'aslist' => 1,
            'optrand' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'other_option' => NULL,
            'other_text' => 'Other...',
            'description' => '',
            'custom_keys' => FALSE,
            'options_source' => '',
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '16',
          'page_num' => 1,
        ),
        27 => array(
          'pid' => '0',
          'form_key' => 'select_exact',
          'name' => 'Select exact',
          'type' => 'select',
          'value' => '',
          'extra' => array(
            'items' => 'one|One
two|Two
three|Three
four|Four
five|Five
six|Six
seven|Seven
eight|Eight
nine|Nine
ten|Ten',
            'multiple' => 1,
            'title_display' => 'before',
            'private' => 0,
            'aslist' => 1,
            'optrand' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'other_option' => NULL,
            'other_text' => 'Other...',
            'description' => '',
            'custom_keys' => FALSE,
            'options_source' => '',
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '1',
          'weight' => '17',
          'page_num' => 1,
        ),
        28 => array(
          'pid' => '0',
          'form_key' => 'empty',
          'name' => 'Empty',
          'type' => 'textfield',
          'value' => '',
          'extra' => array(
            'title_display' => 'before',
            'private' => 0,
            'disabled' => 0,
            'unique' => 0,
            'conditional_operator' => '=',
            'exclude_cv' => 0,
            'width' => '',
            'maxlength' => '',
            'field_prefix' => '',
            'field_suffix' => '',
            'description' => '',
            'attributes' => array(),
            'conditional_component' => '',
            'conditional_values' => '',
          ),
          'mandatory' => '0',
          'weight' => '18',
          'page_num' => 1,
        ),
      ),
    ),
    'title' => 'Clientside Validation Webform Validation Tests',
    'status' => '1',
    'promote' => '1',
    'sticky' => '0',
    'type' => 'webform',
    'language' => 'und',
    'created' => '1344595037',
    'comment' => '2',
    'translate' => '0',
    'machine_name' => 'webformvalidation',
    'body' => array(),
  );

return $content;
}
